libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

mgt.h File Reference
Digital TV table parsing

Provides the table parser for the ATSC MGT (Master Guide Table) More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/atsc_header.h>`

Go to the source code of this file.

## Data Structures
struct | atsc_table_mgt_table
| ATSC tables descrition at MGT table. More...
struct | atsc_table_mgt
| ATSC MGT table. More...

## Macros
#define | ATSC_TABLE_MGT
| ATSC MGT table ID.
#define | atsc_mgt_table_foreach(_table, _mgt)
| Macro used to find a table inside a MGT table.

## Functions
ssize_t | atsc_table_mgt_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct atsc_table_mgt **table)
| Initializes and parses MGT table.
void | atsc_table_mgt_free (struct atsc_table_mgt *table)
| Frees all data allocated by the MGT table parser.
void | atsc_table_mgt_print (struct dvb_v5_fe_parms *parms, struct atsc_table_mgt *table)
| Prints the content of the MGT table.

## Detailed Description

Provides the table parser for the ATSC MGT (Master Guide Table)

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ATSC A/65:2009

See also
  http://www.etherguidesystems.com/help/sdos/atsc/syntax/tablesections/MGT.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file mgt.h.

## Macro Definition Documentation

## ◆ atsc_mgt_table_foreach

#define atsc_mgt_table_foreach | ( |  | _table,
|  |  | _mgt )

Macro used to find a table inside a MGT table.

Parameters

  _table | channel to seek
  _mgt | pointer to struct atsc_table_mgt_table

Definition at line 136 of file mgt.h.